libzypp: zypp::misc::testcase::TestcaseSetupImpl Struct Reference

libzypp 17.38.6

zypp::misc::testcase::TestcaseSetupImpl Struct Reference

`#include <zypp/misc/TestcaseSetupImpl.h>`

## Public Member Functions
TestcaseSetupImpl * | clone () const

## Public Attributes
Arch | architecture = Arch_noarch
std::optional< RepoData > | systemRepo
std::vector< RepoData > | repos
ResolverFocus | resolverFocus = ResolverFocus::Default
Pathname | globalPath
Pathname | hardwareInfoFile
Pathname | systemCheck
target::Modalias::ModaliasList | modaliasList
base::SetTracker< LocaleSet > | localesTracker
std::vector< std::vector< std::string > > | vendorLists
sat::StringQueue | autoinstalled
std::set< std::string > | multiversionSpec
std::vector< ForceInstall > | forceInstallTasks
bool | set_licence = false
bool | show_mediaid = false
bool | ignorealreadyrecommended = false
bool | onlyRequires = false
bool | forceResolve = false
bool | cleandepsOnRemove = false
bool | allowDowngrade = false
bool | allowNameChange = false
bool | allowArchChange = false
bool | allowVendorChange = false
bool | dupAllowDowngrade = false
bool | dupAllowNameChange = false
bool | dupAllowArchChange = false
bool | dupAllowVendorChange = false

## Detailed Description

Definition at line 42 of file TestcaseSetupImpl.h.

## Member Function Documentation

## ◆ clone()

TestcaseSetupImpl * zypp::misc::testcase::TestcaseSetupImpl::clone | ( |  | ) | const
| inline

Definition at line 81 of file TestcaseSetupImpl.h.

## Member Data Documentation

## ◆ architecture

Arch zypp::misc::testcase::TestcaseSetupImpl::architecture = Arch_noarch

Definition at line 44 of file TestcaseSetupImpl.h.

## ◆ systemRepo

std::optional<RepoData> zypp::misc::testcase::TestcaseSetupImpl::systemRepo

Definition at line 46 of file TestcaseSetupImpl.h.

## ◆ repos

std::vector<RepoData> zypp::misc::testcase::TestcaseSetupImpl::repos

Definition at line 47 of file TestcaseSetupImpl.h.

## ◆ resolverFocus

ResolverFocus zypp::misc::testcase::TestcaseSetupImpl::resolverFocus = ResolverFocus::Default

Definition at line 50 of file TestcaseSetupImpl.h.

## ◆ globalPath

Pathname zypp::misc::testcase::TestcaseSetupImpl::globalPath

Definition at line 52 of file TestcaseSetupImpl.h.

## ◆ hardwareInfoFile

Pathname zypp::misc::testcase::TestcaseSetupImpl::hardwareInfoFile

Definition at line 53 of file TestcaseSetupImpl.h.

## ◆ systemCheck

Pathname zypp::misc::testcase::TestcaseSetupImpl::systemCheck

Definition at line 54 of file TestcaseSetupImpl.h.

## ◆ modaliasList

target::Modalias::ModaliasList zypp::misc::testcase::TestcaseSetupImpl::modaliasList

Definition at line 56 of file TestcaseSetupImpl.h.

## ◆ localesTracker

base::SetTracker<LocaleSet> zypp::misc::testcase::TestcaseSetupImpl::localesTracker

Definition at line 57 of file TestcaseSetupImpl.h.

## ◆ vendorLists

std::vector<std::vector<std::string> > zypp::misc::testcase::TestcaseSetupImpl::vendorLists

Definition at line 58 of file TestcaseSetupImpl.h.

## ◆ autoinstalled

sat::StringQueue zypp::misc::testcase::TestcaseSetupImpl::autoinstalled

Definition at line 59 of file TestcaseSetupImpl.h.

## ◆ multiversionSpec

std::set<std::string> zypp::misc::testcase::TestcaseSetupImpl::multiversionSpec

Definition at line 60 of file TestcaseSetupImpl.h.

## ◆ forceInstallTasks

std::vector<ForceInstall> zypp::misc::testcase::TestcaseSetupImpl::forceInstallTasks

Definition at line 61 of file TestcaseSetupImpl.h.

## ◆ set_licence

bool zypp::misc::testcase::TestcaseSetupImpl::set_licence = false

Definition at line 63 of file TestcaseSetupImpl.h.

## ◆ show_mediaid

bool zypp::misc::testcase::TestcaseSetupImpl::show_mediaid = false

Definition at line 64 of file TestcaseSetupImpl.h.

## ◆ ignorealreadyrecommended

bool zypp::misc::testcase::TestcaseSetupImpl::ignorealreadyrecommended = false

Definition at line 66 of file TestcaseSetupImpl.h.

## ◆ onlyRequires

bool zypp::misc::testcase::TestcaseSetupImpl::onlyRequires = false

Definition at line 67 of file TestcaseSetupImpl.h.

## ◆ forceResolve

bool zypp::misc::testcase::TestcaseSetupImpl::forceResolve = false

Definition at line 68 of file TestcaseSetupImpl.h.

## ◆ cleandepsOnRemove

bool zypp::misc::testcase::TestcaseSetupImpl::cleandepsOnRemove = false

Definition at line 69 of file TestcaseSetupImpl.h.

## ◆ allowDowngrade

bool zypp::misc::testcase::TestcaseSetupImpl::allowDowngrade = false

Definition at line 71 of file TestcaseSetupImpl.h.

## ◆ allowNameChange

bool zypp::misc::testcase::TestcaseSetupImpl::allowNameChange = false

Definition at line 72 of file TestcaseSetupImpl.h.

## ◆ allowArchChange

bool zypp::misc::testcase::TestcaseSetupImpl::allowArchChange = false

Definition at line 73 of file TestcaseSetupImpl.h.

## ◆ allowVendorChange

bool zypp::misc::testcase::TestcaseSetupImpl::allowVendorChange = false

Definition at line 74 of file TestcaseSetupImpl.h.

## ◆ dupAllowDowngrade

bool zypp::misc::testcase::TestcaseSetupImpl::dupAllowDowngrade = false

Definition at line 76 of file TestcaseSetupImpl.h.

## ◆ dupAllowNameChange

bool zypp::misc::testcase::TestcaseSetupImpl::dupAllowNameChange = false

Definition at line 77 of file TestcaseSetupImpl.h.

## ◆ dupAllowArchChange

bool zypp::misc::testcase::TestcaseSetupImpl::dupAllowArchChange = false

Definition at line 78 of file TestcaseSetupImpl.h.

## ◆ dupAllowVendorChange

bool zypp::misc::testcase::TestcaseSetupImpl::dupAllowVendorChange = false

Definition at line 79 of file TestcaseSetupImpl.h.

The documentation for this struct was generated from the following file:

- zypp/misc/TestcaseSetupImpl.h